Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.util
Class MetadataValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ohf.ihe.xds.metadata.util.MetadataValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class MetadataValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

See Also:
  `MetadataPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider`

Field Summary
`static java.lang.String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static MetadataValidator` | `INSTANCE` The cached model package
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `OID__PATTERN__VALUES`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `OID_EXTENSION__PATTERN__VALUES`
`static org.eclipse.emf.ecore.EValidator.PatternMatcher[][]` | `UUID__PATTERN__VALUES`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, URI_ATTRIBUTE`

Constructor Summary
`MetadataValidator()` Creates an instance of the switch.

Method Summary
`boolean` | `validateAuthorType(AuthorType authorType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAvailabilityStatusType(AvailabilityStatusType availabilityStatusType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateAvailabilityStatusTypeObject(AvailabilityStatusType availabilityStatusTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateCodedMetadataType(CodedMetadataType codedMetadataType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDocumentEntryType(DocumentEntryType documentEntryType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateDocumentRoot(DocumentRoot documentRoot, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateFolderType(FolderType folderType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateInternationalStringType(InternationalStringType internationalStringType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateLocalizedStringType(LocalizedStringType localizedStringType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateMultipleDocumentSetType(MultipleDocumentSetType multipleDocumentSetType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOid_Pattern(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Oid'.
`boolean` | `validateOid(java.lang.String oid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateOidExtension_Pattern(java.lang.String oidExtension, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Oid Extension'.
`boolean` | `validateOidExtension(java.lang.String oidExtension, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParentDocumentRelationshipType(ParentDocumentRelationshipType parentDocumentRelationshipType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateParentDocumentRelationshipTypeObject(ParentDocumentRelationshipType parentDocumentRelationshipTypeObject, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateProvideAndRegisterDocumentSetType(ProvideAndRegisterDocumentSetType provideAndRegisterDocumentSetType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateSubmissionSetType(SubmissionSetType submissionSetType, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`
`boolean` | `validateUuid_Pattern(java.lang.String uuid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)` Validates the Pattern constraint of 'Uuid'.
`boolean` | `validateUuid(java.lang.String uuid, org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_UniqueID, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MetadataValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final java.lang.String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### OID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] OID__PATTERN__VALUES

  See Also:
    `validateOid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### OID_EXTENSION__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] OID_EXTENSION__PATTERN__VALUES

  See Also:
    `validateOidExtension_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

### UUID__PATTERN__VALUES

    public static final org.eclipse.emf.ecore.EValidator.PatternMatcher[][] UUID__PATTERN__VALUES

  See Also:
    `validateUuid_Pattern(java.lang.String, org.eclipse.emf.common.util.DiagnosticChain, java.util.Map)`

Constructor Detail

### MetadataValidator

    public MetadataValidator()

  Creates an instance of the switch.

Method Detail

### validateAuthorType

    public boolean validateAuthorType(AuthorType authorType,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateCodedMetadataType

    public boolean validateCodedMetadataType(CodedMetadataType codedMetadataType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateDocumentEntryType

    public boolean validateDocumentEntryType(DocumentEntryType documentEntryType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateDocumentRoot

    public boolean validateDocumentRoot(DocumentRoot documentRoot,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateFolderType

    public boolean validateFolderType(FolderType folderType,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      java.util.Map context)

### validateInternationalStringType

    public boolean validateInternationalStringType(InternationalStringType internationalStringType,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateLocalizedStringType

    public boolean validateLocalizedStringType(LocalizedStringType localizedStringType,
                                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                               java.util.Map context)

### validateMultipleDocumentSetType

    public boolean validateMultipleDocumentSetType(MultipleDocumentSetType multipleDocumentSetType,
                                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                   java.util.Map context)

### validateProvideAndRegisterDocumentSetType

    public boolean validateProvideAndRegisterDocumentSetType(ProvideAndRegisterDocumentSetType provideAndRegisterDocumentSetType,
                                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                             java.util.Map context)

### validateSubmissionSetType

    public boolean validateSubmissionSetType(SubmissionSetType submissionSetType,
                                             org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                             java.util.Map context)

### validateAvailabilityStatusType

    public boolean validateAvailabilityStatusType(AvailabilityStatusType availabilityStatusType,
                                                  org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                  java.util.Map context)

### validateParentDocumentRelationshipType

    public boolean validateParentDocumentRelationshipType(ParentDocumentRelationshipType parentDocumentRelationshipType,
                                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                          java.util.Map context)

### validateAvailabilityStatusTypeObject

    public boolean validateAvailabilityStatusTypeObject(AvailabilityStatusType availabilityStatusTypeObject,
                                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                        java.util.Map context)

### validateOid

    public boolean validateOid(java.lang.String oid,
                               org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                               java.util.Map context)

### validateOid_Pattern

    public boolean validateOid_Pattern(java.lang.String oid,
                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                       java.util.Map context)

  Validates the Pattern constraint of 'Oid'.

### validateOidExtension

    public boolean validateOidExtension(java.lang.String oidExtension,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

### validateOidExtension_Pattern

    public boolean validateOidExtension_Pattern(java.lang.String oidExtension,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                java.util.Map context)

  Validates the Pattern constraint of 'Oid Extension'.

### validateParentDocumentRelationshipTypeObject

    public boolean validateParentDocumentRelationshipTypeObject(ParentDocumentRelationshipType parentDocumentRelationshipTypeObject,
                                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                java.util.Map context)

### validateUuid

    public boolean validateUuid(java.lang.String uuid,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                java.util.Map context)

### validateUuid_Pattern

    public boolean validateUuid_Pattern(java.lang.String uuid,
                                        org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                        java.util.Map context)

  Validates the Pattern constraint of 'Uuid'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD